Kapitel 2. Vad är nytt i Debian 9

Innehållsförteckning

2.1. Arkitekturer med stöd
2.2. Vad är nytt i distributionen?
2.2.1. CDs, DVDs, and BDs
2.2.2. Säkerhet

The Wiki has more information about this topic.

2.1. Arkitekturer med stöd

Följande arkitekturer stöds officiellt av Debian stretch:

  • 32-bit PC (i386) and 64-bit PC (amd64)

  • 64-bit ARM (arm64)

  • ARM EABI (armel)

  • ARMv7 (EABI hard-float ABI, armhf)

  • MIPS (mips (big-endian) and mipsel (little-endian))

  • PowerPC (powerpc)

  • 64-bit little-endian PowerPC (ppc64el)

  • IBM System z (s390x)

Du kan läsa mer om porteringsstatus och porteringsspecifik information för din arkitektur på Debians webbsidor för porteringar.

2.2. Vad är nytt i distributionen?

TODO: Kom ihåg att uppdatera siffrorna i .ent-filen
     använd skriptet changes-release.pl som finns under ../

This new release of Debian again comes with a lot more software than its predecessor jessie; the distribution includes over 14849 new packages, for a total of over 50655 packages. Most of the software in the distribution has been updated: over 28492 software packages (this is 66% of all packages in jessie). Also, a significant number of packages (over 7268, 17% of the packages in jessie) have for various reasons been removed from the distribution. You will not see any updates for these packages and they will be marked as "obsolete" in package management front-ends; see Avsnitt 4.8, ”Föråldrade paket”.

Debian again ships with several desktop applications and environments. Among others it now includes the desktop environments GNOME 3.20, KDE 5.8, Xfce 4.12, MATE 1.16 and LXDE.

Produktivitetsapplikationerna har också uppgraderats och detta omfattar kontorssvierna:

  • LibreOffice is upgraded to version 5.2;

  • Calligra is upgraded to 2.9;

Updates of other desktop applications include the upgrade to Evolution 3.22.

Den här utgåvan inkluderar även, bland annat, följande programvaruuppdateringar:

PaketVersion i 8 (jessie)Version i 9 (stretch)
BIND DNS Server9.99.10
Emacs2425
Exim default e-mail server4.844.88
Firefox45.5 (AKA Iceweasel)50.0
GNU Compiler Collection som standardkompilator4.96.2
Gnupg2.02.1
Inkscape0.480.91
Biblioteket GNU C2.192.24
LinuxkärnorVersion 3.164.8 series
MySQL5.55.6
Nginx1.61.10
OpenJDK78
OpenSSH6.3p16.7p1
Perl5.205.24
PHP5.67.0
Postfix MTA2.113.1
PostgreSQL9.49.6
Python 33.43.5
Samba4.14.5
Vim78
 TODO: (JFS) Lista annan servermjukvara? RADIUS? Streaming ?

Debian stödjer Linux Standard Base (LSB) version 4.1, med ett specifikt undantag specifikt för Debian: Qt3 inkluderas inte.

2.2.1. CDs, DVDs, and BDs

The official Debian distribution now ships on 9 to 10 binary DVDs or 75 to 85 binary CDs (depending on the architecture) and 10 source DVDs or 59 source CDs. Additionally, there is a multi-arch DVD, with a subset of the release for the amd64 and i386 architectures, along with the source code. Debian is also released as Blu-ray (BD) images, 2 each for the amd64 and i386 architectures, or 2 for the source code. For size reasons, some very large packages are omitted from the CD builds; these packages fit better in the DVD and BD builds, so are still included there.

2.2.2. Säkerhet

The legacy secure sockets layer protocol SSLv3 has been disabled in this release. Many system cryptography libraries as well as servers and client applications have been compiled or configured without support for this protocol.

The Linux kernel features a security mechanism which nullifies many symlink attacks. It is enabled in the Debian Linux kernel by default. /tmp-related bugs which are rendered non-exploitable by this mechanism are not treated as security vulnerabilities. If you use a custom Linux kernel you should enable it using a sysctl setting:

echo 1 > /proc/sys/fs/protected_symlinks

In some rare cases the security support for a package shipped in a Debian release needs to be terminated prior to the end of support for the full distribution. Jessie provides a new package (debian-security-support) which emits a warning if support for a package needs to be terminated in advance. It also documents packages where the scope of security support is limited. As such, it is recommended to install debian-security-support on all security-relevant systems.